Subject: 27.0.50; Quitting editing a todo archive file is broken

From: Stephen Berman <[email-masked]>
Date: Tue, 14 Aug 2018 17:52:53 +0200

If you visit a Todo Archive file (e.g. by typing `A f' in todo-mode from
a todo file that has an archive), then type `F e' to manually edit the
whole archive file, a warning is displayed that says "Type C-x C-q to
return to Todo mode."  But it should say "... Todo Archive mode."  And
when you then type `C-x C-q' an empty category with the name of the
current category in Todo mode (not Todo Archive mode) is displayed and
the todo file's name is shown in the mode line as "nil", and a message
is shown saying that the file categories sexp has changed, even though
it hasn't.

I have a fix and a test for this bug, which I'll commit to master.

In GNU Emacs 27.0.50 (build 18, x86_64-pc-linux-gnu, GTK+ Version 3.22.28)
 of 2018-08-14 built on rosalinde
Repository revision: 396a33a3656a0e2bbe2f24a81df64914491c44e5
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Linux From Scratch